#include "triangles.h"
#include <iostream>
#include <vector>
using namespace std;
vector<vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare:
    int ans1 = 2;
    for (int i = 3; i < n; i++) {
        if (compare({Triangle(0, 1, ans1)}, {Triangle(0, 1, i)}) == -1) {
            ans1 = i;
        }
    }
    int ans2 = 1;
    for (int i = 1; i < n; i++) {
        if (i == ans1) {
            continue;
        }
        if (compare({Triangle(0, ans1, ans2)}, {Triangle(0, ans1, i)}) == -1) {
            ans2 = i;
        }
    }
    int ans3 = 0;
    for (int i = 0; i < n; i++) {
        if (i == ans1 || i == ans2) {
            continue;
        }
        if (compare({Triangle(ans1, ans2, ans3)}, {Triangle(ans1, ans2, i)}) == -1) {
            ans3 = i;
        }
    }
    
    return {{ans1, ans2, ans3}};
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.
    
    // Example of return:
    // Пример возвращаемого значения:

}
